> ## Documentation Index
> Fetch the complete documentation index at: https://langwatch.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Model Providers

> List all model providers for a project with masked API keys



## OpenAPI

````yaml GET /api/model-providers
openapi: 3.1.0
info:
  title: LangWatch API
  version: 1.0.0
  description: LangWatch openapi spec
servers:
  - url: https://app.langwatch.ai
security:
  - project_api_key: []
paths:
  /api/model-providers:
    get:
      description: List all model providers for a project with masked API keys
      operationId: getApiModel-providers
      parameters: []
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: object
                  properties:
                    id:
                      type: string
                    provider:
                      type: string
                    enabled:
                      type: boolean
                    customKeys:
                      type:
                        - object
                        - 'null'
                      additionalProperties: {}
                    deploymentMapping:
                      type: 'null'
                    models:
                      type:
                        - array
                        - 'null'
                      items:
                        type: string
                    embeddingsModels:
                      type:
                        - array
                        - 'null'
                      items:
                        type: string
                    customModels:
                      type:
                        - array
                        - 'null'
                      items:
                        type: object
                        properties:
                          modelId:
                            type: string
                            minLength: 1
                          displayName:
                            type: string
                            minLength: 1
                          mode:
                            type: string
                            enum:
                              - chat
                              - embedding
                          maxTokens:
                            type:
                              - number
                              - 'null'
                            exclusiveMinimum: 0
                          supportedParameters:
                            type: array
                            items:
                              type: string
                              enum:
                                - temperature
                                - max_tokens
                                - top_p
                                - frequency_penalty
                                - presence_penalty
                                - top_k
                                - min_p
                                - repetition_penalty
                                - seed
                                - reasoning
                                - verbosity
                          multimodalInputs:
                            type: array
                            items:
                              type: string
                              enum:
                                - image
                                - file
                                - audio
                        required:
                          - modelId
                          - displayName
                          - mode
                    customEmbeddingsModels:
                      type:
                        - array
                        - 'null'
                      items:
                        type: object
                        properties:
                          modelId:
                            type: string
                            minLength: 1
                          displayName:
                            type: string
                            minLength: 1
                          mode:
                            type: string
                            enum:
                              - chat
                              - embedding
                          maxTokens:
                            type:
                              - number
                              - 'null'
                            exclusiveMinimum: 0
                          supportedParameters:
                            type: array
                            items:
                              type: string
                              enum:
                                - temperature
                                - max_tokens
                                - top_p
                                - frequency_penalty
                                - presence_penalty
                                - top_k
                                - min_p
                                - repetition_penalty
                                - seed
                                - reasoning
                                - verbosity
                          multimodalInputs:
                            type: array
                            items:
                              type: string
                              enum:
                                - image
                                - file
                                - audio
                        required:
                          - modelId
                          - displayName
                          - mode
                    disabledByDefault:
                      type: boolean
                    extraHeaders:
                      type:
                        - array
                        - 'null'
                      items:
                        type: object
                        properties:
                          key:
                            type: string
                          value:
                            type: string
                        required:
                          - key
                          - value
                  required:
                    - provider
                    - enabled
                    - customKeys
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                required:
                  - error
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                required:
                  - error
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                required:
                  - error
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                required:
                  - error
components:
  securitySchemes:
    project_api_key:
      type: apiKey
      in: header
      name: X-Auth-Token
      description: >-
        Project API key for sending traces and accessing project-scoped
        resources. Format: sk-lw-... (no underscore). Obtain one by creating a
        project via the Admin API or the LangWatch UI.

````